Subject: Re: [AVT] RFC2833bis

From: Henning Schulzrinne <[email-masked]>
Date: Mon, 21 Oct 2002 16:23:32 -0400

Sorry for the delay in responding. I will add the more precise R2
definition. You also suggest:

> In the case of signaling over RTP signaling packets, there is a 
> possibility that type of signaling can not be recognized according to
>  signaling packet carrying seizing signal A101. In the case with A=1 
> this packet may belong to seizing signal of R1 and to some types of 
> E&M (Types I and III, [7]) seizing signals. In the case A=0 bit 
> pattern ABCD=0101 may be seizing signal that belongs to R2A and to 
> some types of E&M (Types II and V).

> It is very convenient to distinguish the type of signaling at the
> beginning of signaling i. e. when first signaling RTP packet
> (beginning of seizing signal) is received. We propose that each
> signaling RTP packet carries denotation of signaling type in the PT
> field of RTP header.

I agree that this would be useful; it would require a bit of kludgery, 
since it needs to be added to the fmtp parameter, as in

a=fmtp:100 0-15,66,70 R1

I suppose one could use this mechanism to have two alternate 
interpretations of the event value, by assigning two different payload 
types. I'm not sure the complexity is worth it.

(Please send all comments in plain text, not as Word attachments.)

Zarko Markov wrote:

> Dear AVT WG,
> 
> we have two suggestions on RFC2833bis. Both of them are related to IP
>  trunk, section "3.14. Trunk events".
> 
> Zarko Markov and Mira Stevanovic
> 

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt